---
document: modulemd
version: 2
data:
  name: python27
  stream: "2.7"
  version: 8080020231024160700
  context: 9edba152
  arch: s390x
  summary: Python programming language, version 2.7
  description: >-
    This module provides the Python 2.7 interpreter and additional Python

    packages the users might need.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.python.org/
    documentation: https://docs.python.org/2.7/
  profiles:
    common:
      rpms:
      - python2
      - python2-libs
      - python2-pip
      - python2-setuptools
  api:
    rpms:
    - babel
    - python-sqlalchemy-doc
    - python2
    - python2-Cython
    - python2-PyMySQL
    - python2-attrs
    - python2-babel
    - python2-backports
    - python2-backports-ssl_match_hostname
    - python2-bson
    - python2-chardet
    - python2-coverage
    - python2-debug
    - python2-devel
    - python2-dns
    - python2-docs
    - python2-docs-info
    - python2-docutils
    - python2-funcsigs
    - python2-idna
    - python2-ipaddress
    - python2-jinja2
    - python2-libs
    - python2-lxml
    - python2-markupsafe
    - python2-mock
    - python2-nose
    - python2-numpy
    - python2-numpy-doc
    - python2-numpy-f2py
    - python2-pip
    - python2-pluggy
    - python2-psycopg2
    - python2-psycopg2-debug
    - python2-psycopg2-tests
    - python2-py
    - python2-pygments
    - python2-pymongo
    - python2-pymongo-gridfs
    - python2-pysocks
    - python2-pytest
    - python2-pytest-mock
    - python2-pytz
    - python2-pyyaml
    - python2-requests
    - python2-rpm-macros
    - python2-scipy
    - python2-setuptools
    - python2-setuptools_scm
    - python2-six
    - python2-sqlalchemy
    - python2-test
    - python2-tkinter
    - python2-tools
    - python2-urllib3
    - python2-virtualenv
    - python2-wheel
  filter:
    rpms:
    - python3-Cython
    - python3-PyMySQL
    - python3-PyYAML
    - python3-attrs
    - python3-babel
    - python3-bson
    - python3-chardet
    - python3-coverage
    - python3-docutils
    - python3-idna
    - python3-jinja2
    - python3-markupsafe
    - python3-mock
    - python3-nose
    - python3-numpy
    - python3-numpy-doc
    - python3-numpy-f2py
    - python3-pluggy
    - python3-psycopg2
    - python3-psycopg2-debug
    - python3-psycopg2-tests
    - python3-py
    - python3-pygments
    - python3-pymongo
    - python3-pymongo-gridfs
    - python3-pysocks
    - python3-pytest
    - python3-pytest-mock
    - python3-pytz
    - python3-requests
    - python3-scipy
    - python3-setuptools_scm
    - python3-six
    - python3-sqlalchemy
    - python3-urllib3
    - python3-virtualenv
  buildopts:
    rpms:
      macros: >
        # Note that we cannot disable building of all Python 3 subpackages,

        # because python2-devel (needed to build all Python 2 packages)

        # has a runtime dependency on python3-rpm-generators, and that

        # package requires python3-setuptools at runtime. By rebuilding

        # python-setuptools SRPM with only python2, we overshadow the

        # already built python3 subpackage and it is no longer

        # available for python3-rpm-generators when building python-pip

        # (or any other Python package).

        # We can disable Python 3 in all packages but ...

        %_without_python3 1

        # ... we have to have a way to enable some of them as described

        # above. With this macro, we can add some module-specific

        # conditions for python3-* subpackages and other special cases.

        # %_with_python27_module 1


        # for: python-jinja2

        %_with_python2 1


        # to solve circular dependency between pytest and [attrs, pluggy]

        # %_without_tests 1
  components:
    rpms:
      Cython:
        rationale: Language for writing Python extension modules. Build dependency
          of numpy and PyYAML
        ref: 4055d37e3ba2d0db2e85feef73cef0adc26868ce
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      PyYAML:
        rationale: YAML parser and emitter for Python
        ref: 855237820841783af34d545219a17ad7f1fb6b9b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      babel:
        rationale: Tools for internationalizing Python applications
        ref: 980fcd48f03cb8ee55e3587263ac1e2f11af9d64
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      numpy:
        rationale: A fast multidimensional array facility for Python
        ref: 291c69c53850dfb8533546a3abafb5345b5bf5e5
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pytest:
        rationale: Simple powerful testing with Python
        ref: 6116d05357c5adb943b5b194d69e25918129d440
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-PyMySQL:
        rationale: Python adapter for the MySQL/MariaDB databases
        ref: 6d3315d23d26d68edff8c7c0bc5ac6547d5ab655
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-attrs:
        rationale: Python attributes without boilerplate
        ref: ad07b1117c7bcaf9ed3a24b6047eafd2f77b5a9a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-backports:
        rationale: Namespace for backported Python features
        ref: fa49591adf122601a2273c1fc24dee0e77b5aa8c
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-backports-ssl_match_hostname:
        rationale: The ssl.match_hostname() function from Python 3. Dependency of
          urllib3/requests.
        ref: 9b4499e079f20909de5ede3474502b508c24aa6f
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-chardet:
        rationale: Character encoding auto-detection in Python. Dependency of requests.
        ref: 3b7199e5db3c216f3abc35f447095aa1478baffc
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-coverage:
        rationale: Code coverage testing module for Python
        ref: e92997e31dd2c769b60c48f7afcda411b10282a1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-dns:
        rationale: DNS toolkit for Python. Useful package for IPA and mailman.
        ref: c6b05c75e0c682afbd35a2b00ec6e77e06ecbc2e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-docs:
        rationale: Documentation for Python
        ref: 65fa969da5d421c7aaa89ffd0f599478540f5ce6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-docutils:
        rationale: System for processing plaintext documentation
        ref: 1c43b8b92754544cb273f99cfe3187091dbff6f6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-funcsigs:
        rationale: Python function signatures from PEP362 for Python 2.6, 2.7 and
          3.2+. Dependency of Pytest and mock.
        ref: ad1949c1599b79dd4a80a02df422d2b1852d62d6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-idna:
        rationale: Internationalized Domain Names in Applications (IDNA). Dependency
          of requests.
        ref: 4584d91b613ff52a01364b42baf0e217b843621d
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-ipaddress:
        rationale: Port of the python 3.3+ ipaddress module to 2.6+. Dependency of
          urllib3/requests.
        ref: 1910d25dc0aaec32d4b8811027f3a1581763aff8
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jinja2:
        rationale: General purpose template engine
        ref: 432e9ceaea5012bd5a163a91c5a1a1c2ed399a01
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-lxml:
        rationale: XML processing library
        ref: 0e7b80ef9dc2f99fb07889b35daec4d1eeb9c79a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-markupsafe:
        rationale: Implements a XML/HTML/XHTML Markup safe string for Python
        ref: 1a994d4b69b821b142fdd16f788a6c2b7656ef6d
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-mock:
        rationale: A Python Mocking and Patching Library for Testing
        ref: 42756dceeee9c84c70948564424f06fab1561ba5
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-nose:
        rationale: Discovery-based unit test extension for Python
        ref: be5dafeadadeb954cd8045873dcd3c5fcdb6b342
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pluggy:
        rationale: The plugin manager stripped of pytest specific details
        ref: 7b4eb267d3db79a28e86b00451bd161592731873
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-psycopg2:
        rationale: Python adapter for the PostgreSQL database
        ref: 346317ef43cdb1e103569da2115c179694032c87
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-py:
        rationale: Library with cross-python path, ini-parsing, io, code, log facilities
        ref: 23f77cc8f3a9f2a782ced6fe37f6df0eb89ab5f7
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pygments:
        rationale: Syntax highlighting engine written in Python
        ref: 34c7885bd3a8fa87f976e094705d152955d0b317
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pymongo:
        rationale: Python driver for MongoDB
        ref: 31d2ecbb46fd32d54d8c91212c57d60fa898d791
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pysocks:
        rationale: A Python SOCKS client module. Dependency of urllib3/requests.
        ref: 4cc2d6eff872a74b4e2ec8f0d2ba9067ef93c98a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pytest-mock:
        rationale: Thin-wrapper around the mock package for easier use with py.test.
          Build dependency of requests.
        ref: 8e56a2143afdf9b5b98489c9ca1c9c2389edec66
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-requests:
        rationale: HTTP library, written in Python, for human beings
        ref: f2718082ef70a1b651c51a223cf28a9375c44cff
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-setuptools_scm:
        rationale: Blessed package to manage your versions by scm tags. Build dependency
          of pytest and pytest-mock.
        ref: 644080c1a73b73a791060986c6f32a2f17dc26ed
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-sqlalchemy:
        rationale: Modular and flexible ORM library for python
        ref: 72791e3c9ed8e8430290aa03c42b1f40c0d8b2ec
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-urllib3:
        rationale: Python HTTP library with thread-safe connection pooling and file
          post. Dependency of requests.
        ref: d9a4fb3e0c98dd56b9a1071516bbadf8ad4b23a3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-virtualenv:
        rationale: Tool to create isolated Python environments
        ref: 2ae78ca09994dbdc7228f829252a14a61d932ccb
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-wheel:
        rationale: Used for unbundling of pip and setuptools
        ref: bef38c93c48ad784479d0394d69706b7d54e508b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2:
        rationale: Main Python language interpreter
        ref: 5b644a2780a8cfcd210c578508bf2a3c604e2c39
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2-pip:
        rationale: Python Packaging ecosystem
        ref: bd3986538e4357f9074c0dab111fd8ca77426cdb
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2-rpm-macros:
        rationale: Python 2 RPM macros - dependency of python2-devel
        ref: 542375107f82bf1771cb59eeffd6a0da848a07c3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2-setuptools:
        rationale: Python Packaging ecosystem
        ref: 5ae9daed1a1b4621fc0d6c03d50e2f9898844d71
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2-six:
        rationale: Python 2 and 3 compatibility utilities
        ref: e5fd59e00a7bbfd8ba4f3cb96808f1ffc7d15662
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pytz:
        rationale: Runtime requires of babel, and python2-babel
        ref: 1653ef3935f1dfd7f9516d8736643d98d3827a88
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      scipy:
        rationale: Scientific Tools for Python
        ref: dcb85735bba4f32441157f7bd4f596be9187e74a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - Cython-0:0.28.1-7.module_el8.6.0+3162+01a09e5a.src
    - Cython-debugsource-0:0.28.1-7.module_el8.6.0+3162+01a09e5a.s390x
    - PyYAML-0:3.12-16.module_el8.6.0+3162+01a09e5a.src
    - PyYAML-debugsource-0:3.12-16.module_el8.6.0+3162+01a09e5a.s390x
    - babel-0:2.5.1-10.module_el8.6.0+3162+01a09e5a.noarch
    - babel-0:2.5.1-10.module_el8.6.0+3162+01a09e5a.src
    - numpy-1:1.14.2-16.module_el8.6.0+3162+01a09e5a.src
    - numpy-debugsource-1:1.14.2-16.module_el8.6.0+3162+01a09e5a.s390x
    - pytest-0:3.4.2-13.module_el8.6.0+3162+01a09e5a.src
    - python-PyMySQL-0:0.8.0-10.module_el8.6.0+3162+01a09e5a.src
    - python-attrs-0:17.4.0-10.module_el8.6.0+3162+01a09e5a.src
    - python-backports-0:1.0-16.module_el8.6.0+3162+01a09e5a.src
    - python-backports-ssl_match_hostname-0:3.5.0.1-12.module_el8.6.0+3162+01a09e5a.src
    - python-chardet-0:3.0.4-10.module_el8.6.0+3162+01a09e5a.src
    - python-coverage-0:4.5.1-4.module_el8.6.0+3162+01a09e5a.src
    - python-coverage-debugsource-0:4.5.1-4.module_el8.6.0+3162+01a09e5a.s390x
    - python-dns-0:1.15.0-10.module_el8.6.0+3162+01a09e5a.src
    - python-docs-0:2.7.16-2.module_el8.6.0+3162+01a09e5a.src
    - python-docutils-0:0.14-12.module_el8.6.0+3162+01a09e5a.src
    - python-funcsigs-0:1.0.2-13.module_el8.6.0+3162+01a09e5a.src
    - python-idna-0:2.5-7.module_el8.6.0+3162+01a09e5a.src
    - python-ipaddress-0:1.0.18-6.module_el8.6.0+3162+01a09e5a.src
    - python-jinja2-0:2.10-9.module_el8.6.0+3162+01a09e5a.src
    - python-lxml-0:4.2.3-6.module_el8.6.0+3162+01a09e5a.src
    - python-lxml-debugsource-0:4.2.3-6.module_el8.6.0+3162+01a09e5a.s390x
    - python-markupsafe-0:0.23-19.module_el8.6.0+3162+01a09e5a.src
    - python-mock-0:2.0.0-13.module_el8.6.0+3162+01a09e5a.src
    - python-nose-0:1.3.7-31.module_el8.6.0+3162+01a09e5a.src
    - python-nose-docs-0:1.3.7-31.module_el8.6.0+3162+01a09e5a.noarch
    - python-pluggy-0:0.6.0-8.module_el8.6.0+3162+01a09e5a.src
    - python-psycopg2-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.src
    - python-psycopg2-debuginfo-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.s390x
    - python-psycopg2-debugsource-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.s390x
    - python-psycopg2-doc-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.s390x
    - python-py-0:1.5.3-6.module_el8.6.0+3162+01a09e5a.src
    - python-pygments-0:2.2.0-22.module_el8.6.0+3162+01a09e5a.src
    - python-pymongo-0:3.7.0-1.module_el8.6.0+3162+01a09e5a.src
    - python-pymongo-debuginfo-0:3.7.0-1.module_el8.6.0+3162+01a09e5a.s390x
    - python-pymongo-debugsource-0:3.7.0-1.module_el8.6.0+3162+01a09e5a.s390x
    - python-pysocks-0:1.6.8-6.module_el8.6.0+3162+01a09e5a.src
    - python-pytest-mock-0:1.9.0-4.module_el8.6.0+3162+01a09e5a.src
    - python-requests-0:2.20.0-3.module_el8.6.0+3162+01a09e5a.src
    - python-setuptools_scm-0:1.15.7-6.module_el8.6.0+3162+01a09e5a.src
    - python-sqlalchemy-0:1.3.2-2.module_el8.6.0+3162+01a09e5a.src
    - python-sqlalchemy-doc-0:1.3.2-2.module_el8.6.0+3162+01a09e5a.noarch
    - python-urllib3-0:1.24.2-3.module_el8.6.0+3162+01a09e5a.src
    - python-virtualenv-0:15.1.0-22.module_el8.8.0+3580+eeda85da.src
    - python-wheel-1:0.31.1-3.module_el8.6.0+3162+01a09e5a.src
    - python2-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.src
    - python2-Cython-0:0.28.1-7.module_el8.6.0+3162+01a09e5a.s390x
    - python2-Cython-debuginfo-0:0.28.1-7.module_el8.6.0+3162+01a09e5a.s390x
    - python2-PyMySQL-0:0.8.0-10.module_el8.6.0+3162+01a09e5a.noarch
    - python2-attrs-0:17.4.0-10.module_el8.6.0+3162+01a09e5a.noarch
    - python2-babel-0:2.5.1-10.module_el8.6.0+3162+01a09e5a.noarch
    - python2-backports-0:1.0-16.module_el8.6.0+3162+01a09e5a.s390x
    - python2-backports-ssl_match_hostname-0:3.5.0.1-12.module_el8.6.0+3162+01a09e5a.noarch
    - python2-bson-0:3.7.0-1.module_el8.6.0+3162+01a09e5a.s390x
    - python2-bson-debuginfo-0:3.7.0-1.module_el8.6.0+3162+01a09e5a.s390x
    - python2-chardet-0:3.0.4-10.module_el8.6.0+3162+01a09e5a.noarch
    - python2-coverage-0:4.5.1-4.module_el8.6.0+3162+01a09e5a.s390x
    - python2-coverage-debuginfo-0:4.5.1-4.module_el8.6.0+3162+01a09e5a.s390x
    - python2-debug-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-debuginfo-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-debugsource-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-devel-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-dns-0:1.15.0-10.module_el8.6.0+3162+01a09e5a.noarch
    - python2-docs-0:2.7.16-2.module_el8.6.0+3162+01a09e5a.noarch
    - python2-docs-info-0:2.7.16-2.module_el8.6.0+3162+01a09e5a.noarch
    - python2-docutils-0:0.14-12.module_el8.6.0+3162+01a09e5a.noarch
    - python2-funcsigs-0:1.0.2-13.module_el8.6.0+3162+01a09e5a.noarch
    - python2-idna-0:2.5-7.module_el8.6.0+3162+01a09e5a.noarch
    - python2-ipaddress-0:1.0.18-6.module_el8.6.0+3162+01a09e5a.noarch
    - python2-jinja2-0:2.10-9.module_el8.6.0+3162+01a09e5a.noarch
    - python2-libs-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-lxml-0:4.2.3-6.module_el8.6.0+3162+01a09e5a.s390x
    - python2-lxml-debuginfo-0:4.2.3-6.module_el8.6.0+3162+01a09e5a.s390x
    - python2-markupsafe-0:0.23-19.module_el8.6.0+3162+01a09e5a.s390x
    - python2-mock-0:2.0.0-13.module_el8.6.0+3162+01a09e5a.noarch
    - python2-nose-0:1.3.7-31.module_el8.6.0+3162+01a09e5a.noarch
    - python2-numpy-1:1.14.2-16.module_el8.6.0+3162+01a09e5a.s390x
    - python2-numpy-debuginfo-1:1.14.2-16.module_el8.6.0+3162+01a09e5a.s390x
    - python2-numpy-doc-1:1.14.2-16.module_el8.6.0+3162+01a09e5a.noarch
    - python2-numpy-f2py-1:1.14.2-16.module_el8.6.0+3162+01a09e5a.s390x
    - python2-pip-0:9.0.3-19.module_el8.6.0+3162+01a09e5a.noarch
    - python2-pip-0:9.0.3-19.module_el8.6.0+3162+01a09e5a.src
    - python2-pip-wheel-0:9.0.3-19.module_el8.6.0+3162+01a09e5a.noarch
    - python2-pluggy-0:0.6.0-8.module_el8.6.0+3162+01a09e5a.noarch
    - python2-psycopg2-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.s390x
    - python2-psycopg2-debug-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.s390x
    - python2-psycopg2-debug-debuginfo-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.s390x
    - python2-psycopg2-debuginfo-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.s390x
    - python2-psycopg2-tests-0:2.7.5-7.module_el8.6.0+3162+01a09e5a.s390x
    - python2-py-0:1.5.3-6.module_el8.6.0+3162+01a09e5a.noarch
    - python2-pygments-0:2.2.0-22.module_el8.6.0+3162+01a09e5a.noarch
    - python2-pymongo-0:3.7.0-1.module_el8.6.0+3162+01a09e5a.s390x
    - python2-pymongo-debuginfo-0:3.7.0-1.module_el8.6.0+3162+01a09e5a.s390x
    - python2-pymongo-gridfs-0:3.7.0-1.module_el8.6.0+3162+01a09e5a.s390x
    - python2-pysocks-0:1.6.8-6.module_el8.6.0+3162+01a09e5a.noarch
    - python2-pytest-0:3.4.2-13.module_el8.6.0+3162+01a09e5a.noarch
    - python2-pytest-mock-0:1.9.0-4.module_el8.6.0+3162+01a09e5a.noarch
    - python2-pytz-0:2017.2-12.module_el8.6.0+3162+01a09e5a.noarch
    - python2-pyyaml-0:3.12-16.module_el8.6.0+3162+01a09e5a.s390x
    - python2-pyyaml-debuginfo-0:3.12-16.module_el8.6.0+3162+01a09e5a.s390x
    - python2-requests-0:2.20.0-3.module_el8.6.0+3162+01a09e5a.noarch
    - python2-rpm-macros-0:3-38.module_el8.6.0+3162+01a09e5a.noarch
    - python2-rpm-macros-0:3-38.module_el8.6.0+3162+01a09e5a.src
    - python2-scipy-0:1.0.0-21.module_el8.6.0+3162+01a09e5a.s390x
    - python2-scipy-debuginfo-0:1.0.0-21.module_el8.6.0+3162+01a09e5a.s390x
    - python2-setuptools-0:39.0.1-13.module_el8.6.0+3162+01a09e5a.noarch
    - python2-setuptools-0:39.0.1-13.module_el8.6.0+3162+01a09e5a.src
    - python2-setuptools-wheel-0:39.0.1-13.module_el8.6.0+3162+01a09e5a.noarch
    - python2-setuptools_scm-0:1.15.7-6.module_el8.6.0+3162+01a09e5a.noarch
    - python2-six-0:1.11.0-6.module_el8.6.0+3162+01a09e5a.noarch
    - python2-six-0:1.11.0-6.module_el8.6.0+3162+01a09e5a.src
    - python2-sqlalchemy-0:1.3.2-2.module_el8.6.0+3162+01a09e5a.s390x
    - python2-test-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-tkinter-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-tools-0:2.7.18-13.module_el8.8.0+3663+627ce7bb.2.alma.1.s390x
    - python2-urllib3-0:1.24.2-3.module_el8.6.0+3162+01a09e5a.noarch
    - python2-virtualenv-0:15.1.0-22.module_el8.8.0+3580+eeda85da.noarch
    - python2-wheel-1:0.31.1-3.module_el8.6.0+3162+01a09e5a.noarch
    - python2-wheel-wheel-1:0.31.1-3.module_el8.6.0+3162+01a09e5a.noarch
    - pytz-0:2017.2-12.module_el8.6.0+3162+01a09e5a.src
    - scipy-0:1.0.0-21.module_el8.6.0+3162+01a09e5a.src
    - scipy-debugsource-0:1.0.0-21.module_el8.6.0+3162+01a09e5a.s390x
...
---
document: modulemd
version: 2
data:
  name: python27-devel
  stream: "2.7"
  version: 8080020231024160700
  context: 9edba152
  arch: s390x
  summary: Python programming language, version 2.7
  description: >-
    This module provides the Python 2.7 interpreter and additional Python

    packages the users might need.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
      python27: [2.7]
    requires:
      platform: [el8]
      python27: [2.7]
  references:
    community: https://www.python.org/
    documentation: https://docs.python.org/2.7/
  profiles:
    common:
      rpms:
      - python2
      - python2-libs
      - python2-pip
      - python2-setuptools
  api:
    rpms:
    - babel
    - python-sqlalchemy-doc
    - python2
    - python2-Cython
    - python2-PyMySQL
    - python2-attrs
    - python2-babel
    - python2-backports
    - python2-backports-ssl_match_hostname
    - python2-bson
    - python2-chardet
    - python2-coverage
    - python2-debug
    - python2-devel
    - python2-dns
    - python2-docs
    - python2-docs-info
    - python2-docutils
    - python2-funcsigs
    - python2-idna
    - python2-ipaddress
    - python2-jinja2
    - python2-libs
    - python2-lxml
    - python2-markupsafe
    - python2-mock
    - python2-nose
    - python2-numpy
    - python2-numpy-doc
    - python2-numpy-f2py
    - python2-pip
    - python2-pluggy
    - python2-psycopg2
    - python2-psycopg2-debug
    - python2-psycopg2-tests
    - python2-py
    - python2-pygments
    - python2-pymongo
    - python2-pymongo-gridfs
    - python2-pysocks
    - python2-pytest
    - python2-pytest-mock
    - python2-pytz
    - python2-pyyaml
    - python2-requests
    - python2-rpm-macros
    - python2-scipy
    - python2-setuptools
    - python2-setuptools_scm
    - python2-six
    - python2-sqlalchemy
    - python2-test
    - python2-tkinter
    - python2-tools
    - python2-urllib3
    - python2-virtualenv
    - python2-wheel
  filter:
    rpms:
    - python3-Cython
    - python3-PyMySQL
    - python3-PyYAML
    - python3-attrs
    - python3-babel
    - python3-bson
    - python3-chardet
    - python3-coverage
    - python3-docutils
    - python3-idna
    - python3-jinja2
    - python3-markupsafe
    - python3-mock
    - python3-nose
    - python3-numpy
    - python3-numpy-doc
    - python3-numpy-f2py
    - python3-pluggy
    - python3-psycopg2
    - python3-psycopg2-debug
    - python3-psycopg2-tests
    - python3-py
    - python3-pygments
    - python3-pymongo
    - python3-pymongo-gridfs
    - python3-pysocks
    - python3-pytest
    - python3-pytest-mock
    - python3-pytz
    - python3-requests
    - python3-scipy
    - python3-setuptools_scm
    - python3-six
    - python3-sqlalchemy
    - python3-urllib3
    - python3-virtualenv
  buildopts:
    rpms:
      macros: >
        # Note that we cannot disable building of all Python 3 subpackages,

        # because python2-devel (needed to build all Python 2 packages)

        # has a runtime dependency on python3-rpm-generators, and that

        # package requires python3-setuptools at runtime. By rebuilding

        # python-setuptools SRPM with only python2, we overshadow the

        # already built python3 subpackage and it is no longer

        # available for python3-rpm-generators when building python-pip

        # (or any other Python package).

        # We can disable Python 3 in all packages but ...

        %_without_python3 1

        # ... we have to have a way to enable some of them as described

        # above. With this macro, we can add some module-specific

        # conditions for python3-* subpackages and other special cases.

        # %_with_python27_module 1


        # for: python-jinja2

        %_with_python2 1


        # to solve circular dependency between pytest and [attrs, pluggy]

        # %_without_tests 1
  components:
    rpms:
      Cython:
        rationale: Language for writing Python extension modules. Build dependency
          of numpy and PyYAML
        ref: 4055d37e3ba2d0db2e85feef73cef0adc26868ce
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      PyYAML:
        rationale: YAML parser and emitter for Python
        ref: 855237820841783af34d545219a17ad7f1fb6b9b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      babel:
        rationale: Tools for internationalizing Python applications
        ref: 980fcd48f03cb8ee55e3587263ac1e2f11af9d64
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      numpy:
        rationale: A fast multidimensional array facility for Python
        ref: 291c69c53850dfb8533546a3abafb5345b5bf5e5
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pytest:
        rationale: Simple powerful testing with Python
        ref: 6116d05357c5adb943b5b194d69e25918129d440
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-PyMySQL:
        rationale: Python adapter for the MySQL/MariaDB databases
        ref: 6d3315d23d26d68edff8c7c0bc5ac6547d5ab655
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-attrs:
        rationale: Python attributes without boilerplate
        ref: ad07b1117c7bcaf9ed3a24b6047eafd2f77b5a9a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-backports:
        rationale: Namespace for backported Python features
        ref: fa49591adf122601a2273c1fc24dee0e77b5aa8c
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-backports-ssl_match_hostname:
        rationale: The ssl.match_hostname() function from Python 3. Dependency of
          urllib3/requests.
        ref: 9b4499e079f20909de5ede3474502b508c24aa6f
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-chardet:
        rationale: Character encoding auto-detection in Python. Dependency of requests.
        ref: 3b7199e5db3c216f3abc35f447095aa1478baffc
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-coverage:
        rationale: Code coverage testing module for Python
        ref: e92997e31dd2c769b60c48f7afcda411b10282a1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-dns:
        rationale: DNS toolkit for Python. Useful package for IPA and mailman.
        ref: c6b05c75e0c682afbd35a2b00ec6e77e06ecbc2e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-docs:
        rationale: Documentation for Python
        ref: 65fa969da5d421c7aaa89ffd0f599478540f5ce6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-docutils:
        rationale: System for processing plaintext documentation
        ref: 1c43b8b92754544cb273f99cfe3187091dbff6f6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-funcsigs:
        rationale: Python function signatures from PEP362 for Python 2.6, 2.7 and
          3.2+. Dependency of Pytest and mock.
        ref: ad1949c1599b79dd4a80a02df422d2b1852d62d6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-idna:
        rationale: Internationalized Domain Names in Applications (IDNA). Dependency
          of requests.
        ref: 4584d91b613ff52a01364b42baf0e217b843621d
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-ipaddress:
        rationale: Port of the python 3.3+ ipaddress module to 2.6+. Dependency of
          urllib3/requests.
        ref: 1910d25dc0aaec32d4b8811027f3a1581763aff8
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jinja2:
        rationale: General purpose template engine
        ref: 432e9ceaea5012bd5a163a91c5a1a1c2ed399a01
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-lxml:
        rationale: XML processing library
        ref: 0e7b80ef9dc2f99fb07889b35daec4d1eeb9c79a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-markupsafe:
        rationale: Implements a XML/HTML/XHTML Markup safe string for Python
        ref: 1a994d4b69b821b142fdd16f788a6c2b7656ef6d
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-mock:
        rationale: A Python Mocking and Patching Library for Testing
        ref: 42756dceeee9c84c70948564424f06fab1561ba5
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-nose:
        rationale: Discovery-based unit test extension for Python
        ref: be5dafeadadeb954cd8045873dcd3c5fcdb6b342
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pluggy:
        rationale: The plugin manager stripped of pytest specific details
        ref: 7b4eb267d3db79a28e86b00451bd161592731873
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-psycopg2:
        rationale: Python adapter for the PostgreSQL database
        ref: 346317ef43cdb1e103569da2115c179694032c87
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-py:
        rationale: Library with cross-python path, ini-parsing, io, code, log facilities
        ref: 23f77cc8f3a9f2a782ced6fe37f6df0eb89ab5f7
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pygments:
        rationale: Syntax highlighting engine written in Python
        ref: 34c7885bd3a8fa87f976e094705d152955d0b317
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pymongo:
        rationale: Python driver for MongoDB
        ref: 31d2ecbb46fd32d54d8c91212c57d60fa898d791
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pysocks:
        rationale: A Python SOCKS client module. Dependency of urllib3/requests.
        ref: 4cc2d6eff872a74b4e2ec8f0d2ba9067ef93c98a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pytest-mock:
        rationale: Thin-wrapper around the mock package for easier use with py.test.
          Build dependency of requests.
        ref: 8e56a2143afdf9b5b98489c9ca1c9c2389edec66
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-requests:
        rationale: HTTP library, written in Python, for human beings
        ref: f2718082ef70a1b651c51a223cf28a9375c44cff
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-setuptools_scm:
        rationale: Blessed package to manage your versions by scm tags. Build dependency
          of pytest and pytest-mock.
        ref: 644080c1a73b73a791060986c6f32a2f17dc26ed
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-sqlalchemy:
        rationale: Modular and flexible ORM library for python
        ref: 72791e3c9ed8e8430290aa03c42b1f40c0d8b2ec
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-urllib3:
        rationale: Python HTTP library with thread-safe connection pooling and file
          post. Dependency of requests.
        ref: d9a4fb3e0c98dd56b9a1071516bbadf8ad4b23a3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-virtualenv:
        rationale: Tool to create isolated Python environments
        ref: 2ae78ca09994dbdc7228f829252a14a61d932ccb
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-wheel:
        rationale: Used for unbundling of pip and setuptools
        ref: bef38c93c48ad784479d0394d69706b7d54e508b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2:
        rationale: Main Python language interpreter
        ref: 5b644a2780a8cfcd210c578508bf2a3c604e2c39
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2-pip:
        rationale: Python Packaging ecosystem
        ref: bd3986538e4357f9074c0dab111fd8ca77426cdb
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2-rpm-macros:
        rationale: Python 2 RPM macros - dependency of python2-devel
        ref: 542375107f82bf1771cb59eeffd6a0da848a07c3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2-setuptools:
        rationale: Python Packaging ecosystem
        ref: 5ae9daed1a1b4621fc0d6c03d50e2f9898844d71
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python2-six:
        rationale: Python 2 and 3 compatibility utilities
        ref: e5fd59e00a7bbfd8ba4f3cb96808f1ffc7d15662
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pytz:
        rationale: Runtime requires of babel, and python2-babel
        ref: 1653ef3935f1dfd7f9516d8736643d98d3827a88
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      scipy:
        rationale: Scientific Tools for Python
        ref: dcb85735bba4f32441157f7bd4f596be9187e74a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
